package com.docus.server;

import com.docus.log.EnableTrackGroup;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.retry.annotation.EnableRetry;


@Slf4j
@EnableFeignClients(basePackages = ("com.docus.core.excel.feign"))
//@EnableHystrix
//@MapperScan("com.docus.server.**.baseMapper")
@SpringBootApplication(scanBasePackages = {"com.docus"})
@EnableRetry
@EnableTrackGroup
//@EnableRabbit
public class AppRunBootstrap {
    public static void main(String[] args) {
        System.setProperty("javax.xml.parsers.DocumentBuilderFactory", "com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");
        SpringApplication.run(AppRunBootstrap.class, args);
    }
}
