package com.docus.server.collect.web.common.dto;

import lombok.Data;


/**
 * 任务列表
 */
@Data
public class TaskCollect {
    /**
     * 任务key
     */
    private String key;
    /**
     * 任务状态 0,暂停，1，开始，2：结束
     */
    private int state=2;
    /**
     * db类型
     */
    private int dbKey;
    /**
     * 数据源名称
     */
    private String dbName;

    /**
     * 异常状态 0：无异常，1：异常
     */
    private int excepState=0;

    /**
     * 任务名称
     */
    private String name;
    /**
     *  错误信息
     */
    private String error;

}
