package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schterminator.AddSchTerminatorDTO;
import com.docus.server.dto.scheduling.management.schterminator.EditSchTerminatorDTO;
import com.docus.server.entity.scheduling.management.SchTerminator;
import com.docus.server.vo.scheduling.management.schterminator.SchTerminatorVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 执行管理器 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchTerminatorConvert {

    SchTerminatorConvert INSTANCE = Mappers.getMapper(SchTerminatorConvert.class);

    @Mappings({})
    SchTerminator convertDO(AddSchTerminatorDTO addSchTerminatorDTO);

    @Mappings({})
    SchTerminator convertDO(EditSchTerminatorDTO editSchTerminatorDTO, @MappingTarget SchTerminator schTerminator1);

    @Mappings({})
    SchTerminatorVO convertVO(SchTerminator schTerminator);

    @Mappings({})
    List<SchTerminatorVO> convertVO(List<SchTerminator> schTerminatorList);

    @Mappings({})
    PageResult<SchTerminatorVO> convertVO(PageResult<SchTerminator> pageResult);

}

