package com.docus.server.collect.web.common.pojo.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ReportDownDTO {
    @ApiModelProperty(value = "采集器id")
    private String collectorid;

    @ApiModelProperty(value = "采集器ip")
    private String ip;

    @ApiModelProperty(value = "分类id")
    private String assortid;

    @ApiModelProperty(value = "患者信息")
    private ReportDownPatientDTO patient;

    @ApiModelProperty(value = "文件信息")
    private List<ReportDownScanFileDTO> scanfiles;

    @ApiModelProperty(value = "扫描用户代码")
    private String scanusercode;
    @ApiModelProperty(value = "扫描用户名称")
    private String scanusername;
}
