package com.docus.server.dto.scheduling.management.schcollectorversionfile;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 采集器版本列表更新包管理 AddDTO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "AddSchCollectorVersionFileDTO对象", description = "采集器版本列表更新包管理")
public class AddSchCollectorVersionFileDTO implements Serializable {

    @NotNull(message = "采集器管理版本号不能为空")
    @ApiModelProperty(value = "采集器管理版本号")
    private String collectorVersionNo;

    @NotNull(message = "采集器管理id不能为空")
    @ApiModelProperty(value = "采集器管理id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器部署路径")
    private String deployPath;

    @NotNull(message = "采集器进程名称不能为空")
    @ApiModelProperty(value = "采集器进程名称")
    private String processName;

}
