package com.docus.server.dto.scheduling.management.schoperationlog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集调度器操作日志 EditDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="EditSchOperationLogDTO对象", description="采集调度器操作日志")
public class EditSchOperationLogDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "操作模块")
    private String operationModule;

    @ApiModelProperty(value = "操作类型")
    private String operationType;

    @ApiModelProperty(value = "操作描述")
    private String operationDesc;

    @ApiModelProperty(value = "操作内容")
    private String operationContent;

    @ApiModelProperty(value = "执行状态0：成功，1:失败")
    private Integer state;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
