package com.docus.server.dto.segmentation.ocrrule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* 匹配策略表 EditDTO
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="EditOcrRuleDTO对象", description="匹配策略表")
public class EditOcrRuleDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "分段id")
    private String assortId;

    @ApiModelProperty(value = "占比分")
    private Integer matchRatio;

    @ApiModelProperty(value = "匹配关键词 多个#分割")
    private String keyWord;

    @ApiModelProperty(value = "二级分段json")
    private String json;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    @ApiModelProperty(value = "是否使用二级分段")
    private Boolean isUseSecond;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
