package com.docus.server.dto.segmentation.ocrsprule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 特殊策略表 AddDTO
*
* @author AutoGenerator
* @since 2023-08-21
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="AddOcrSpRuleDTO对象", description="特殊策略表")
public class AddOcrSpRuleDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "")
    private String assortId;

    @ApiModelProperty(value = "规则开始json")
    private String startJson;

    @ApiModelProperty(value = "规则结束json")
    private String endJson;


}
