package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 病案分类
*
* @author AutoGenerator
* @since 2023-08-30
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("zd_assort")
@ApiModel(value="ZdAssort对象", description="病案分类")
public class ZdAssort implements Serializable {

    @ApiModelProperty(value = "分类id")
    @TableId(value = "assort_id", type = IdType.ASSIGN_UUID)
    private String assortId;

    @ApiModelProperty(value = "分类名称")
    @TableField("assort_name")
    private String assortName;

    @ApiModelProperty(value = "分类排序")
    @TableField("assort_sort")
    private Integer assortSort;

    @ApiModelProperty(value = "是否启用 1是，0否")
    @TableField("effective")
    private Integer effective;

    @ApiModelProperty(value = "是否校验 1是，0否")
    @TableField("is_check")
    private Integer isCheck;

    @ApiModelProperty(value = "代码分类")
    @TableField("assort_code")
    private String assortCode;

    @ApiModelProperty(value = "等级")
    @TableField("level")
    private Integer level;

    @ApiModelProperty(value = "")
    @TableField("type_code")
    private String typeCode;

    @ApiModelProperty(value = "召回可查询角色")
    @TableField("recall_role")
    private String recallRole;

    @ApiModelProperty(value = "采集器id")
    @TableField("collect_id")
    private String collectId;

    @ApiModelProperty(value = "分段来源，参考基础库字典 file_source_code")
    @TableField("assort_source")
    private String assortSource;


}
