package com.docus.server.vo.scheduling.management.schcollectorconfig;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 采集器配置 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "TcpSchCollectorConfigVO对象", description = "采集器配置")
public class TcpSchCollectorConfigVO implements Serializable {

    @ApiModelProperty(value = "采集器Id")
    private Long collectorId;

    @ApiModelProperty(value = "配置参数")
    private String configJson;

}
