package com.docus.server.vo.segmentation.ocrspecialrule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* 特殊策略表 VO
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="OcrSpecialRuleVO对象", description="特殊策略表")
public class OcrSpecialRuleVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "特殊规则描述")
    private String name;

    @ApiModelProperty(value = "分段id")
    private String assortId;

    @ApiModelProperty(value = "开始规则")
    private String startJson;

    @ApiModelProperty(value = "结束规则")
    private String endJson;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
