package com.docus.server.collect.web.common.dto;

import lombok.Data;

@Data
public class FieldJsonDto {
    /**
     * 字段说明
     */
    private String name;
    /**
     * 旧库字段
     */
    private String oldfield;
    /**
     * 新库字段，用于别名
     */
    private String newfield;

    /**
     * 默认值，如表无值需设定默认值，或需进行处理的数据
     */
    private String defaultvalue;
    /**
     * 字段类型，默认值0, 目前用于jzh查询 1，为int
     */
    private int fieldtype=0;
}

