package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectorVersionLog;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.AddSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.EditSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.DeleteSchCollectorVersionLogDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionlog.SchCollectorVersionLogVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器版本更新日志管理 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectorVersionLogConvert {

    SchCollectorVersionLogConvert INSTANCE = Mappers.getMapper(SchCollectorVersionLogConvert.class);

    @Mappings({})
    SchCollectorVersionLog convertDO(AddSchCollectorVersionLogDTO addSchCollectorVersionLogDTO);

    @Mappings({})
    SchCollectorVersionLog convertDO(EditSchCollectorVersionLogDTO editSchCollectorVersionLogDTO);

    @Mappings({})
    List<SchCollectorVersionLog> convertAddDOList(List<AddSchCollectorVersionLogDTO> addSchCollectorVersionLogDTO);

    @Mappings({})
    List<SchCollectorVersionLog> convertEditDOList(List<EditSchCollectorVersionLogDTO> editSchCollectorVersionLogDTO);

    @Mappings({})
    SchCollectorVersionLogVO convertVO(SchCollectorVersionLog schCollectorVersionLog);

    @Mappings({})
    List<SchCollectorVersionLogVO> convertVO(List<SchCollectorVersionLog> schCollectorVersionLogList);

    @Mappings({})
    PageResult<SchCollectorVersionLogVO> convertVO(PageResult<SchCollectorVersionLog> pageResult);
}

