package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.AddSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.DeleteSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.EditSchCollectorVersionLogDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionlog.SchCollectorVersionLogVO;

/**
 * 采集器版本更新日志管理 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectorVersionLogService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectorVersionLogVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectorVersionLogDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectorVersionLogDTO addSchCollectorVersionLogDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorVersionLogDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectorVersionLogDTO editSchCollectorVersionLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionLogDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectorVersionLogDTO deleteSchCollectorVersionLogDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectorVersionLogVO> search(SearchDTO searchDTO);
}
