package com.docus.server.collect;

import com.docus.server.entity.TaskConfig;
import com.docus.server.util.PeriodTime;

import java.util.List;

public interface ICollector<T> {
    /**
     * 根据配置适配收集器
     *
     * @param periodTime 时间
     * @param taskConfig 任务配置
     * @return
     */
    List<T> page(PeriodTime periodTime, TaskConfig taskConfig);
}
