package com.docus.server.collect.report.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 第三方报告推送下载触发
 * @author wyb
 */
@Getter
public class ThreePartyPushReportDownEvent extends ApplicationEvent {
    /**
     * 下载对应任务id ,接收处理
     */
    private final Long taskId;

    /**
     *
     * @param source 触发该事件的对象
     * @param taskId 该事件携带的信息
     */
    public ThreePartyPushReportDownEvent(Object source, Long taskId) {
        super(source);
        this.taskId=taskId;
    }


}
