package com.docus.server.common.consumer.service;

import com.docus.server.common.consumer.bean.HandleResult;
import com.docus.server.common.message.MessageData;

/**
 * Copyright © 2018 五月工作室. All rights reserved.
 *
 * @Package com.docus.taskdistribute.common.send
 * @ClassName SendService
 * @Description 对消息进行处理
 * @Author Amos
 * @Modifier
 * @Date 2019/7/1 15:11
 * @Version 1.0
 **/
public interface Receiver {
    /**
     * 对消息进行处理
     *
     * @param messageData
     * @return
     */
    HandleResult handleMessage(MessageData messageData);
}
