package com.docus.server.api.ocr;

import com.docus.server.vo.ocr.OcrResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;


/**
 * ocr
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "OCR接口", tags = "OCR接口")
public interface OcrApi {

    /**
     * 获取ocr识别回来的text
     */
    List<String> getText(String path);

    /**
     * 封装ocr 请求
     */
    OcrResponse ocr(String path);

    /**
     * ocr文件上传识别
     */
    @ApiOperation("ocr文件上传识别")
    OcrResponse uploadFile(Map<String, Object> params);

}
