package com.docus.server.dto.scheduling.management.schcollecterrorlog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集器异常日志 EditDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="EditSchCollectErrorLogDTO对象", description="采集器异常日志")
public class EditSchCollectErrorLogDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器终端ip")
    private String terminatorIp;

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @ApiModelProperty(value = "采集记录主键id")
    private Long collectRecordId;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "0：不是重试任务，1：是重试任务")
    private String isRetryTask;

    @ApiModelProperty(value = "异常等级")
    private String level;

    @ApiModelProperty(value = "异常描述")
    private String description;

    @ApiModelProperty(value = "异常信息")
    private String exceptionInfo;

    @ApiModelProperty(value = "本地存储路径")
    private String screenPath;

    @ApiModelProperty(value = "产生时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
