package com.docus.server.dto.scheduling.management.schcollector.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 上报打印 下发任务-患者信息
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "ReportPatientTwoDTO", description = "下发任务-病患信息")
public class ReportPatientTwoDTO {

    @ApiModelProperty(value = "住院号/就诊号")
    private String inpatientNo;
    @ApiModelProperty(value = "患者姓名")
    private String name;
    @ApiModelProperty(value = "id号")
    private String patientId;
}
