package com.docus.server.dto.segmentation.ocrcutconfig;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* ocr图片剪切配置 EditDTO
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="EditOcrCutConfigDTO对象", description="ocr图片剪切配置")
public class EditOcrCutConfigDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "图像压缩宽度")
    private Double height;

    @ApiModelProperty(value = "半截图纵向区域开始")
    private Double widthStart;

    @ApiModelProperty(value = "半截图纵向区域结束")
    private Double widthEnd;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
