package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrspecialruletest.AddOcrSpecialRuleTestDTO;
import com.docus.server.dto.segmentation.ocrspecialruletest.DeleteOcrSpecialRuleTestDTO;
import com.docus.server.dto.segmentation.ocrspecialruletest.EditOcrSpecialRuleTestDTO;
import com.docus.server.vo.segmentation.ocrspecialruletest.OcrSpecialRuleTestVO;

import java.util.List;

/**
 * 特殊策略表-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrSpecialRuleTestService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrSpecialRuleTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrSpecialRuleTestVO> findAll();

    /**
     * 新增
     *
     * @param addOcrSpecialRuleTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrSpecialRuleTestDTO addOcrSpecialRuleTestDTO);

    /**
     * 编辑
     *
     * @param editOcrSpecialRuleTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrSpecialRuleTestDTO editOcrSpecialRuleTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialRuleTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrSpecialRuleTestDTO deleteOcrSpecialRuleTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrSpecialRuleTestVO> search(SearchDTO searchDTO);
}
